language: python
python:
  - "3.5"
  - "3.5-dev"  # 3.5 development branch
  - "3.6"
  - "3.6-dev"  # 3.6 development branch
  - "3.7"
  - "3.7-dev"  # 3.7 development branch
  # - "nightly"
services:
  - postgresql
# command to install dependencies
install:
  - pip install -r requirements/development.txt

before_script:
  - psql -c 'create database travis_ci_test;' -U postgres
env:
  - DATABASE_URL="postgresql://postgres:postgres@postgres:5432/travis_ci_test"
# command to run tests
script:
  - flake8 --max-line-length=125 --exclude=src/kszkepzes,migrations
  - python src/manage.py migrate
  - python src/manage.py test
